package cn.org.bjca.trust.push.message.bean

import cn.org.bjca.trust.push.enums.MsgType
import cn.org.bjca.trust.push.message.msg.Message
import cn.org.bjca.trust.push.message.msg.SendMessage

class UnknownMessage : Message() {
    var unkonown: String? = null

    init {
        this.msgType = MsgType.UNKNOWN
    }

    override fun parse(type: MsgType, sendMessage: SendMessage) {
        super.parse(type, sendMessage)
        sendMessage.message?.let { this.unkonown = it }
    }

    override fun createContentJsonStr(): String {
        return unkonown ?: ""
    }
}